ALTER FUNCTION dbo.fn_fco_centro_trabajo -- TSEN
(  
    @pch_compania char(4),  
    @pch_trabajador char(10)      
)  
RETURNS decimal(9)  
AS  
BEGIN  
    DECLARE   
        @vdc_centro_tra decimal(9),  
        @vch_agt_CTR char(10)     -- Centro de Trabajo  
  
    SELECT @vch_agt_CTR = dato FROM vw_fdt_parametros   
    WHERE pais = 'COL' AND compania = @pch_compania AND parametro = 'autoliq' AND secuencia = 24  
  
    SELECT @vdc_centro_tra = codigo_reporte  
    FROM vw_fco_centros_trabajo a  
    INNER JOIN rel_trab_agr b ON b.compania IN (a.compania, CASE WHEN @pch_compania = 'JABC' THEN 'X' ELSE 'TSEN' END) AND a.centro_trabajo = b.dato  
    WHERE a.compania = @pch_compania  
      AND b.trabajador = @pch_trabajador  
      AND b.agrupacion = @vch_agt_CTR  
      
    RETURN ISNULL(@vdc_centro_tra, 0)  
END  
